Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Vlc installation... this stubborn...
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
Antro
n00b
n00b


Joined: 12 Apr 2014
Posts: 2

PostPosted: Sat Apr 12, 2014 9:42 am    Post subject: Vlc installation... this stubborn... Reply with quote

Hello to everyone!

First post on the forum, first problem to solve!

I'm trying to install the latest version of vlc followint this instructions
http://www.videolan.org/vlc/download-gentoo.html

So, this is the configuration:

tv portage # more /etc/portage/package.keywords
media-video/vlc ~x86
# required by net-libs/glib-networking-2.38.2
# required by net-libs/libsoup-2.44.2
# required by net-libs/libsoup-gnome-2.44.2
# required by gnome-base/gvfs-1.18.3[http]
# required by xfce-base/thunar-1.6.3[udev]
# required by xfce-base/xfdesktop-4.10.2[thunar]
# required by xfce-base/xfce4-meta-4.10
# required by @selected
# required by @world (argument)
=net-libs/gnutls-3.2.12.1 ~x86


tv portage #
tv portage # more /etc/portage/package.use
x11-base/xorg-server udev
# required by www-client/firefox-24.4.0
# required by firefox (argument)
=dev-lang/python-2.7.5-r3 sqlite
# required by www-client/dillo-3.0.3
# required by dillo (argument)
=x11-libs/fltk-1.3.2 -cairo
# required by media-video/vlc-2.0.7
# required by vlc (argument)
>=sys-libs/zlib-1.2.8-r1 minizip
# media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggv
orbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live
lua
media-video/vlc dvd mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis mat
roska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live lua qt4


tv portage #
tv portage # emerge -pv vlc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ~] net-libs/gnutls-3.2.12.1 [2.12.23-r4] USE="crywrap%* cxx nls zlib -dane% -doc -examples -guile -pkcs11 -static-libs {-test} (-bindist%*) (-lzo%) (-nettle%*)" LINGUAS="-cs% -de% -en% -fi% -fr% -it% -ms% -nl% -pl% -sv% -uk% -vi% -zh_CN%" 5,018 kB
[ebuild N ] media-libs/libmpeg2-0.5.1 USE="X sdl" 0 kB
[ebuild N ] media-video/ffmpeg-1.0.8 USE="X aac alsa bindist bzip2 cdio encode gnutls hardcoded-tables mp3 network sdl theora truetype vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -bluray (-celt) -cpudetection -debug -doc -examples -faac -fdk -flite -fontconfig -frei0r -gsm -iec61883 -ieee1394 -jack -jpeg2k -libass -libcaca -libv4l -mmx -mmxext -modplug (-neon) -openal -openssl -opus -oss -pic -pulseaudio -rtmp -schroedinger -speex -ssse3 -static-libs {-test} -threads -twolame -v4l -vaapi -vdpau (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher" 0 kB
[ebuild N ] virtual/ffmpeg-0.10.3 USE="X encode mp3 sdl theora truetype x264 -gsm -jpeg2k -speex -threads -vaapi -vdpau" 0 kB
[ebuild N ] media-libs/libpostproc-0.8.0.20121125 USE="-3dnow (-altivec) -mmx -mmxext -pic -static-libs" 64 kB
[ebuild N ~] media-video/vlc-2.1.4:0/5-7 USE="X a52 alsa avcodec avformat bidi cdda dbus dts dvbpsi dvd encode ffmpeg flac gcrypt gnutls httpd libnotify live lua matroska mp3 mpeg ncurses ogg opengl png postproc qt4 sdl svg swscale theora truetype udev vlm vorbis x264 xcb xml xv -aalib (-altivec) -atmo (-audioqueue) -avahi -bluray -cddb -chromaprint -dc1394 -debug -dirac -directfb (-directx) -dvb (-dxva2) -egl -faad -fdk -fluidsynth -fontconfig -gme -gnome -growl -ieee1394 (-ios-vout) -jack -kate -kde -libass -libcaca -libsamplerate -libtar -libtiger -linsys -lirc (-macosx) (-macosx-audio) (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) (-macosx-vout) (-media-library) -mmx -modplug -mtp -musepack (-neon) -omxil -opencv -optimisememory -opus -projectm -pulseaudio (-qt5) -rdp -rtsp -run-as-root -samba -schroedinger -sdl-image -sftp -shout -sid -skins -speex -sse -taglib {-test} -tremor -twolame -upnp -v4l -vaapi -vcdx -vdpau -vnc -wma-fixed -zvbi" 19,103 kB
[blocks B ] <media-video/ffmpeg-1.2:0 ("<media-video/ffmpeg-1.2:0" is blocking media-video/vlc-2.1.4)
[blocks B ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-libs/libpostproc-0.8.0.20121125)
[blocks B ] media-libs/libpostproc ("media-libs/libpostproc" is blocking media-video/ffmpeg-1.0.8)

Total: 6 packages (1 upgrade, 5 new), Size of downloads: 24,184 kB
Conflict: 3 blocks (3 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(media-video/vlc-2.1.4::gentoo, ebuild scheduled for merge) pulled in by
vlc

(media-video/ffmpeg-1.0.8::gentoo, ebuild scheduled for merge) pulled in by
>=media-video/ffmpeg-0.10.3:0[X?,encode?,gsm?,jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/ffmpeg-0.10.3:0[X,encode,mp3,sdl,theora,truetype,x264]) required by (virtual/ffmpeg-0.10.3::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

tv portage #

If I'm correctly understanding, libpostproc is blocking the update of ffmpeg (asking for and "older" version, 1.0.8 that is asking for a virtual/ffmpeg 0.10.3), that is blocking vlc 2.1.4, correct?

If this is situation, my understanding is that I should somehow unmask... something, but what ? ffmpeg ? libpostproc ?

Thanks for help

Ciao
Antonio
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1553

PostPosted: Sat Apr 12, 2014 10:09 am    Post subject: Reply with quote

Code:
[blocks B ] <media-video/ffmpeg-1.2:0 ("<media-video/ffmpeg-1.2:0" is blocking media-video/vlc-2.1.4)
[blocks B ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-libs/libpostproc-0.8.0.20121125)
[blocks B ] media-libs/libpostproc ("media-libs/libpostproc" is blocking media-video/ffmpeg-1.0.8)


The first one says VLC wants FFmpeg equal to or higher than version 1.2, as it doesn't support older versions; the second one says you can't install FFmpeg and libpostproc at the same time, that's because libpostproc is already provided by FFmpeg and is rather meant for when you use Libav instead of FFmpeg; the last one is the inverse of the second one.

Long story short, add media-video/ffmpeg to /etc/portage/package.accept_keywords to accept an unstable version of it and also run `emerge -c media-libs/libpostproc` to safely unmerge libpostproc to resolve this.
Back to top
View user's profile Send private message
Antro
n00b
n00b


Joined: 12 Apr 2014
Posts: 2

PostPosted: Sat Apr 12, 2014 3:55 pm    Post subject: Reply with quote

TomWij wrote:
Code:
[blocks B ] <media-video/ffmpeg-1.2:0 ("<media-video/ffmpeg-1.2:0" is blocking media-video/vlc-2.1.4)
[blocks B ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-libs/libpostproc-0.8.0.20121125)
[blocks B ] media-libs/libpostproc ("media-libs/libpostproc" is blocking media-video/ffmpeg-1.0.8)


The first one says VLC wants FFmpeg equal to or higher than version 1.2, as it doesn't support older versions; the second one says you can't install FFmpeg and libpostproc at the same time, that's because libpostproc is already provided by FFmpeg and is rather meant for when you use Libav instead of FFmpeg; the last one is the inverse of the second one.

Long story short, add media-video/ffmpeg to /etc/portage/package.accept_keywords to accept an unstable version of it and also run `emerge -c media-libs/libpostproc` to safely unmerge libpostproc to resolve this.


Yesss sir!
Thank you, sir!

That was the point: I spent fex days trying to understand how to ... combine both the needs, but as you point out, one of them include the other.
Vlc 2.1.4 up and running!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum